#
# spec file for package perl-Term-ReadLine-Gnu
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Term-ReadLine-Gnu
Name:           perl-Term-ReadLine-Gnu
Version:        1.42
Release:        150500.1.2
Summary:        Perl extension for the GNU Readline/History Library
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAYASHI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
Obsoletes:      perl-TermReadLine-Gnu < 1.36
Provides:       perl-TermReadLine-Gnu = %{version}
# MANUAL END

%description
This is an implementation of Term::ReadLine using the GNU Readline/History
Library.

For basic functions object oriented interface is provided. These are
described in the section "Standard Methods" and "Term::ReadLine::Gnu
Functions".

This package also has the interface with the almost all functions and
variables which are documented in the GNU Readline/History Library Manual. 

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Mon May 10 2021 timueller+perl@suse.de
- updated to 1.42
  see /usr/share/doc/packages/perl-Term-ReadLine-Gnu/Changes
* Sun May  2 2021 timueller+perl@suse.de
- updated to 1.41
  see /usr/share/doc/packages/perl-Term-ReadLine-Gnu/Changes
  1.41  2021-05-01
  - Makefile.PL
  - Search a terminal library only when it necessary. [#6]
  - whole refactoring
* Wed Feb 24 2021 timueller+perl@suse.de
- updated to 1.40
  see /usr/share/doc/packages/perl-Term-ReadLine-Gnu/Changes
* Mon Dec 28 2020 timueller+perl@suse.de
- updated to 1.37
  see /usr/share/doc/packages/perl-Term-ReadLine-Gnu/Changes
* Sun Jan 27 2019 coolo@suse.com
- add cpanspec.yml for autoupdates
* Fri Jan 25 2019 ncutler@suse.com
- spec: obsolete "perl-TermReadLine-Gnu" (wrongly-named package in
  Factory/Leap/SLE) (boo#966042)
* Mon Jan 14 2019 shshyukriev@suse.com
- Update to 1.36 (trying to fix bnc#966042)
  - readline-8.0 support
    new function
    rl_empty_keymap
    rl_set_keymap_name
    rl_check_signals
    new variable
    history_quoting_state
    rl_function_of_keyseq uses rl_function_of_keyseq_len to
    support an arbitrary key sequence that may include NULs.
  - new() checks the number of arguments.
  - make 'use Term::ReadLine::Gnu' fail if $TERM is not set or
    on a dumb terminal.  'use Term::ReadLine' uses
    Term::ReadLine::Stub instead. [rt.cpan.org #123398]
  - Makefile.PL: checks the tinfo library for Debian.
  - add t/01test_use.t and t/02test_use.t.
  - comment out a hack for the CPAN Test on OpenBSD added on
    TRG 1.22.
  - t/utf8_binary.t, t/utf8_text.t: skipped on Perl 5.8.
* Mon Aug 11 2014 ncutler@suse.com
- initial submission of upstream version 1.24 to devel:languages:perl
- check license
- take over maintainership
